Bug 124670 - Lost of space symbols in DOCX document
Summary: Lost of space symbols in DOCX document
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.1 rc
Hardware: All All
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:6.3.0 target:6.2.4
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: DOC-Character
  Show dependency treegraph
 
Reported: 2019-04-11 07:00 UTC by Andrew
Modified: 2019-04-15 10:33 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample 1 (13.33 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-04-11 07:00 UTC, Andrew
Details
Sample 2 (15.26 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-04-11 07:01 UTC, Andrew
Details
Screenshot - Word vs LO - spaces lost (110.46 KB, image/png)
2019-04-11 15:38 UTC, Mike Kaganski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew 2019-04-11 07:00:20 UTC
Created attachment 150675 [details]
Sample 1

In version 6.x this documents imported without any space symbols
In 5.x it seems normal
Comment 1 Andrew 2019-04-11 07:01:02 UTC
Created attachment 150676 [details]
Sample 2
Comment 2 Mike Kaganski 2019-04-11 07:06:06 UTC
Reproducible since Version: 6.0.0.1 (x64)
Build ID: d2bec56d7865f05a1003dc88449f2b0fdd85309a
CPU threads: 12; OS: Windows 10.0; UI render: GL; 
Locale: ru-RU (ru_RU); Calc: group

and in current master.
Comment 3 raal 2019-04-11 14:44:14 UTC
Please, can you attach printscreen and highlight what is wrong? Thank you
Comment 4 Mike Kaganski 2019-04-11 15:38:36 UTC
Created attachment 150700 [details]
Screenshot - Word vs LO - spaces lost
Comment 5 raal 2019-04-12 17:50:45 UTC
This seems to have begun at the below commit.
Adding Cc: to Mike Kaganski ; Could you possibly take a look at this one?
Thanks

0c00606bbdcf6e6c9cf2190f113098bf9fb61c5b is the first bad commit
commit 0c00606bbdcf6e6c9cf2190f113098bf9fb61c5b
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Fri Jul 7 14:12:38 2017 +0200

    source sha:7c1a51516aaf2767e43b393259a1ad21570df5fb

author	Mike Kaganski <mike.kaganski@collabora.com>	2017-07-07 11:33:34 +0300
committer	Mike Kaganski <mike.kaganski@collabora.com>	2017-07-07 12:52:00 +0200
commit	7c1a51516aaf2767e43b393259a1ad21570df5fb (patch)
tree	276c4d2d62307513376295e946cf1f6e398f6aab
parent	350fb0249af7c29c98c3e15415a151bda8fae7ee (diff)
tdf#108995: take xml:space attribute into account
Comment 6 Mike Kaganski 2019-04-12 18:33:29 UTC
(In reply to raal from comment #5)

Thanks raal! (Heh, I hoped it would be anyone but me ;-D)
Comment 7 Mike Kaganski 2019-04-13 08:19:01 UTC
Actually, the bugdocs are DOCX with incorrect extension.
Comment 8 Mike Kaganski 2019-04-13 22:25:57 UTC
https://gerrit.libreoffice.org/70723
Comment 9 Commit Notification 2019-04-14 07:00:16 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/4acae16f9252ada89fd530f1ca86edafc046bc07%5E%21

tdf#124670: xml:space attribute may be specified for w:document top-level element

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2019-04-15 09:02:15 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/7b6c9c2f52ef80876d494ef966a3ee088c81bcd5%5E%21

tdf#124670: xml:space attribute may be specified for w:document root element

It will be available in 6.2.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Xisco Faulí 2019-04-15 10:33:07 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 0eaa0804085dd6e93257dd31361490720456679d
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Mike Kaganski, thanks for fixing this issue!!